<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('subscription_products', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->text('description');
            $table->decimal('price', 10, 2);
            $table->string('stripe_price_id')->nullable();
            $table->bigInteger('subscription_days')->nullable();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('subscription_products');
    }
};
